org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface FunctionEvaluationValue

- All Superinterfaces:
    ComputationValue, org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    FunctionEvaluationValueImpl

      public interface FunctionEvaluationValue
      extends ComputationValue

  A representation of the model object 'Function Evaluation Value'.

  The following features are supported:

  - `Expression`
  - `Unwind`
  See Also:
    `PatternLanguagePackage.getFunctionEvaluationValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.XExpression` | `getExpression()` Returns the value of the 'Expression' containment reference.
    `boolean` | `isUnwind()` Returns the value of the 'Unwind' attribute.
    `void` | `setExpression(org.eclipse.xtext.xbase.XExpression value)` Sets the value of the '`Expression`' containment reference.
    `void` | `setUnwind(boolean value)` Sets the value of the '`Unwind`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExpression

          org.eclipse.xtext.xbase.XExpression getExpression()

      Returns the value of the 'Expression' containment reference.

      If the meaning of the 'Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `setExpression(XExpression)`, `PatternLanguagePackage.getFunctionEvaluationValue_Expression()`
      Generated:
      Model:
        containment="true"

    - #### setExpression

          void setExpression(org.eclipse.xtext.xbase.XExpression value)

      Sets the value of the '`Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression' containment reference.
      See Also:
        `getExpression()`
      Generated:

    - #### isUnwind

          boolean isUnwind()

      Returns the value of the 'Unwind' attribute.
      Returns:
        the value of the 'Unwind' attribute.
      Since:
        2.7
      See Also:
        `setUnwind(boolean)`, `PatternLanguagePackage.getFunctionEvaluationValue_Unwind()`
      Generated:
      Model:

    - #### setUnwind

          void setUnwind(boolean value)

      Sets the value of the '`Unwind`' attribute.
      Parameters:
        `value` - the new value of the 'Unwind' attribute.
      See Also:
        `isUnwind()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `ComputationValue`
      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"